AWS
probe ECS

# describe_tasks

Returns AWS response describing the tasks for a provided cluster

Run it now
View details

Type | probe
Module | chaosaws.ecs.probes
Name | describe_tasks
Return | mapping

Usage

JSON

    {
      "name": "describe-tasks",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.ecs.probes",
        "func": "describe_tasks",
        "arguments": {
          "cluster": ""
        }
      }
    }

YAML

    name: describe-tasks
    provider:
      arguments:
        cluster: ""
      func: describe_tasks
      module: chaosaws.ecs.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster | string |  | Yes | Cluster | Name of the target ECS cluster

Probe example:

    "steady-state-hypothesis": {
      "title": "MyCluster tasks are healthy",
      "probes": [
        {
          "type": "probe",
          "name": "first task is healthy",
          "tolerance": {
            "type": "jsonpath",
            "path": $.tasks[0].healthStatus,
            "expect": "HEALTHY"
          },
          "provider": {
            "type": "python",
            "module": "chaosaws.ecs.probes",
            "func": "describe_tasks",
            "arguments": {
              "cluster": "MyCluster"
            }
          }
        }
      ]
    }

A full list of possible paths can be found at https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/ecs.html#ECS.Client.describe_clusters

Signature

    def describe_tasks(
            cluster: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action ECS

  ## `tag_resource`

  Tags the provided resource(s) with provided tags
- AWS
  action ECS

  ## `set_service_deployment_configuration`

  Sets the maximum healthy count and minimum healthy percentage values for a services deployment configuration
- AWS
  action ECS

  ## `set_service_placement_strategy`

  Sets the service's instance placement strategy